API DocumentationShipments
List shipments on an order
GET
Returns every shipment currently attached to the order, including parcel allocations and tracking where present.
Phasio API Bearer Tokenheader
AuthorizationBearer <token>orderId*integerID of the order to list shipments for
Format
int64Shipments retrieved successfully
application/json- response
[index: integer]?A concrete shipment on an order. Discriminated by type.
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/order/1/shipments'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "COURIER", "status": "PREPARED", "incoterm": "EXW", "fromAddress": { "street1": "string", "street2": "string", "city": "string", "state": "string", "country": "string", "zip": "string", "name": "string", "company": "string", "phone": "string", "email": "string", "jurisdictionIsoCode": "string", "residential": true, "taxId": "string" }, "parcels": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "grossWeightGrams": 0, "netWeightGrams": 0, "value": 0, "width": 0, "height": 0, "length": 0, "allocations": [ { "requisitionId": 0, "quantity": 0 } ] } ], "preparedAt": "2019-08-24T14:15:22Z", "preparedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "releasedAt": "2019-08-24T14:15:22Z", "releasedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "fulfilledAt": "2019-08-24T14:15:22Z", "fulfilledBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "documents": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "contentType": "string", "size": 0, "uploadedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "displayName": "string" }, "createdAt": "2019-08-24T14:15:22Z" } ] }]